apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: secrets-observability-stack
  namespace: argocd
spec:
  project: observability-stack
  source:
    repoURL: ssh://git@gitea-ssh.dev-tools.svc.cluster.local:2222/dvirlabs/observability-stack.git
    targetRevision: HEAD
    path: charts/secrets
    helm:
      valueFiles:
        - ../../manifests/secrets-observability-stack/values.yaml
  destination:
    server: https://kubernetes.default.svc
    namespace: observability-stack
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
